package com.realnet.test.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.test.Entity.T55;
import com.realnet.test.Services.T55Service ;






@RequestMapping(value = "/T55")
 @CrossOrigin("*") 
@RestController
public class T55Controller {
	@Autowired
	private T55Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/T55")
		  public T55 Savedata(@RequestBody T55 data) {
		T55 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/T55/{id}")
	public  T55 update(@RequestBody T55 data,@PathVariable Integer id ) {
		T55 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/T55/getall/page")
	public Page<T55> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<T55> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/T55")
	public List<T55> getdetails() {
		 List<T55> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/T55")
	public List<T55> getallwioutsec() {
		 List<T55> get = Service.getdetails();		
		return get;
}
@GetMapping("/T55/{id}")
	public  T55  getdetailsbyId(@PathVariable Integer id ) {
		T55  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/T55/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}